<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_Restructuring" xlink:label="rhimagnesitanv_Restructuring" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_GroupReserves" xlink:label="rhimagnesitanv_GroupReserves" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_InterestPaymentsFromLeaseObligations" xlink:label="rhimagnesitanv_InterestPaymentsFromLeaseObligations" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_ChangeInNonControllingInterestsWithoutChangeinControl" xlink:label="rhimagnesitanv_ChangeInNonControllingInterestsWithoutChangeinControl" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompaniesDOCL" xlink:label="rhimagnesitanv_ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompaniesDOCL" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlDRS" xlink:label="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlDRS" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompanies" xlink:label="rhimagnesitanv_ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompanies" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControl" xlink:label="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControl" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_CurrencyTranslationDifferencesHyperinflation" xlink:label="rhimagnesitanv_CurrencyTranslationDifferencesHyperinflation" />
    <loc xlink:type="locator" xlink:href="724500UWG6A61XNA3Y36-2024-12-31.xsd#rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlOther" xlink:label="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlOther" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_Restructuring" xlink:to="label_rhimagnesitanv_rhimagnesitanvRestructuring_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_GroupReserves" xlink:to="label_rhimagnesitanv_rhimagnesitanvGroupReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_InterestPaymentsFromLeaseObligations" xlink:to="label_rhimagnesitanv_rhimagnesitanvInterestPaymentsFromLeaseObligations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_ChangeInNonControllingInterestsWithoutChangeinControl" xlink:to="label_rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsWithoutChangeinControl_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompaniesDOCL" xlink:to="label_rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsDueToAdditionToConsolidatedCompaniesDOCL_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlDRS" xlink:to="label_rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlDRS_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_ChangeInNonControllingInterestsDueToAdditionToConsolidatedCompanies" xlink:to="label_rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsDueToAdditionToConsolidatedCompanies_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControl" xlink:to="label_rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControl_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_CurrencyTranslationDifferencesHyperinflation" xlink:to="label_rhimagnesitanv_rhimagnesitanvCurrencyTranslationDifferencesHyperinflation_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="rhimagnesitanv_ReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlOther" xlink:to="label_rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlOther_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvRestructuring_Standard" id="rhimagnesitanv_rhimagnesitanvRestructuring_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Restructuring</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvGroupReserves_Standard" id="rhimagnesitanv_rhimagnesitanvGroupReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Group reserves</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvInterestPaymentsFromLeaseObligations_Standard" id="rhimagnesitanv_rhimagnesitanvInterestPaymentsFromLeaseObligations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest payments from lease obligations</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsWithoutChangeinControl_Standard" id="rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsWithoutChangeinControl_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Change in non-controlling interests without change in control</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsDueToAdditionToConsolidatedCompaniesDOCL_Standard" id="rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsDueToAdditionToConsolidatedCompaniesDOCL_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Change In NonControlling Interests Due To Addition To Consolidated Companies DOCL</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlDRS_Standard" id="rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlDRS_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reclassification Of Puttable Noncontrolling Interests Without Change Of Control DRS</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsDueToAdditionToConsolidatedCompanies_Standard" id="rhimagnesitanv_rhimagnesitanvChangeInNonControllingInterestsDueToAdditionToConsolidatedCompanies_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Change in non-controlling interests due to addition to consolidated companies</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControl_Standard" id="rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControl_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reclassification Of Puttable Non Controlling Interests Without Change Of Control</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvCurrencyTranslationDifferencesHyperinflation_Standard" id="rhimagnesitanv_rhimagnesitanvCurrencyTranslationDifferencesHyperinflation_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Currency translation differences Hyperinflation</label>
    <label xlink:label="label_rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlOther_Standard" id="rhimagnesitanv_rhimagnesitanvReclassificationOfPuttableNoncontrollingInterestsWithoutChangeOfControlOther_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Reclassification Of Puttable Noncontrolling Interests Without Change Of Control Other</label>
  </labelLink>
</linkbase>